%define section	free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jorm
#  cvs login
#  cvs export -r JORM_2_4_3 jorm
#  find jorm -name '*.?ar' | xargs rm

Name:		jorm
Summary:	Java(tm) Object Repository Mapping
Version:	2.4.3
Release:	1jpp
Epoch:		0
URL:		http://jorm.objectweb.org/
License:	LGPL
Vendor:         JPackage Project
Distribution:   JPackage
Group:		Development/Libraries/Java
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	jpackage-utils, ant, objectweb-anttask
BuildRequires:	jakarta-commons-collections
BuildRequires:	j2ee-connector
BuildRequires:	jorm-rdb-adapter
BuildRequires:	medor
BuildRequires:	medor-expression
BuildRequires:	monolog
BuildRequires:	perseus-cache
BuildRequires:	perseus-fos
BuildRequires:	perseus-persistence
BuildRequires:	velocity
Requires:	jakarta-commons-collections
Requires:	j2ee-connector
Requires:	jorm-rdb-adapter
Requires:	medor
Requires:	medor-expression
Requires:	monolog
Requires:	perseus-cache
Requires:	perseus-fos
Requires:	perseus-persistence
Requires:	velocity
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

%description
JORM (Java Object Repository Mapping) is an adaptable persistence
service. It can be used to offer various personalities, such as one
compliant with the CMP EJB specification (TM), another with the OMG
PSS specification or another with the JDO (Java Data Objects)
specification (TM).  JORM provides object persistency through
different secondary storage supports, such as files, relational
databases or object-oriented databases.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n jorm
build-jar-repository externals \
    jakarta-commons-collections \
    j2ee-connector \
    jorm/ow_jorm_rdb_adapter \
    medor/ow_medor \
    medor/ow_medor_clone \
    medor/ow_medor_exp \
    monolog/ow_monolog \
    perseus/ow_perseus_cache \
    perseus/ow_perseus_fos \
    perseus/ow_perseus_persistence \
    velocity

%build
unset CLASSPATH
export OPT_JAR_LIST="objectweb-anttask"
ant jar jdoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
for jar in output/dist/lib/*.jar; do
    base=`basename $jar .jar`
    install -m 644 $jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$base-%{version}.jar
    ln -s $base-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$base.jar
done

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/doc/jdoc/jorm_user \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed Jun 29 2005 Gary Benson <gbenson@redhat.com> 0:2.4.3-1jpp
- Initial build.
